import {WordRotatorBaseSite} from "./WordRotatorBaseSite";
import {InitPromise} from "../../../../../js/lib/pwa-lib";
import {PrivacyPolicySite} from "./PrivacyPolicySite";
import {Matomo} from "../../../../../js/lib/pwa-assets";

export class CreditsSite extends WordRotatorBaseSite{
    constructor(siteManager) {
        super(siteManager, "html/application/credits.html", "credits");
    }

    onStart(args) {
        Matomo.update("Credits Site");
        return super.onStart(args);
    }
}

InitPromise.addPromise(app => {
    app.addDeepLink("credits", CreditsSite);
});